<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/black"
    tools:context=".MainActivity">

    <Button
        android:id="@+id/Sheet"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="4dp"
        android:backgroundTint="@color/main"
        android:text="@string/google_sheet"
        app:cornerRadius="0dp"
        app:layout_constraintEnd_toStartOf="@+id/ButtonSettings"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/buttonSubmit" />

    <Button
        android:id="@+id/Offline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="4dp"
        android:backgroundTint="@color/main"
        android:text="@string/offline_mode"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/ButtonNext"
        app:layout_constraintEnd_toStartOf="@+id/Practice"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout3" />

    <Button
        android:id="@+id/Practice"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:backgroundTint="@color/main"
        android:text="@string/practice"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toTopOf="@+id/ButtonNext"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/Offline"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout3" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/textInputLayout2"
        android:layout_width="409dp"
        android:layout_height="wrap_content"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="1.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/textInputLayout3"
        android:layout_width="409dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="1dp"
        android:layout_marginEnd="1dp"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputEditText
        android:id="@+id/Match"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="24dp"
        android:hint="@string/match_number"
        android:inputType="number"
        android:textAlignment="center"
        android:textColor="@color/white"
        android:textColorHint="@color/gray_hint"
        app:layout_constraintTop_toBottomOf="@+id/TextPine"
        tools:layout_editor_absoluteX="-1dp"
        android:imeOptions="actionDone" />


    <LinearLayout
        android:id="@+id/linearLayout3"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="0dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toTopOf="@+id/Offline"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/Match"
        app:layout_constrainedHeight="true"
        android:maxHeight="300dp"
        app:layout_constraintHeight_max="300dp">


        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@color/alliance_red"
            android:orientation="vertical">

            <RadioButton
                android:id="@+id/red1Button"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                app:buttonTint="@color/alliance_blue"
                android:text="0"
                android:textColor="@color/white" />

            <RadioButton
                android:id="@+id/red2Button"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                app:buttonTint="@color/alliance_blue"
                android:text="0"
                android:textColor="@color/white" />

            <RadioButton
                android:id="@+id/red3Button"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                app:buttonTint="@color/alliance_blue"
                android:text="0"
                android:textColor="@color/white" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@color/alliance_blue"
            android:orientation="vertical">

            <RadioButton
                android:id="@+id/blue1Button"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                app:buttonTint="@color/alliance_red"
                android:text="0"
                android:textColor="@color/white" />

            <RadioButton
                android:id="@+id/blue2Button"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                app:buttonTint="@color/alliance_red"
                android:text="0"
                android:textColor="@color/white" />

            <RadioButton
                android:id="@+id/blue3Button"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_weight="1"
                app:buttonTint="@color/alliance_red"
                android:text="0"
                android:textColor="@color/white" />
        </LinearLayout>
    </LinearLayout>


    <TextView
        android:id="@+id/TextPine"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:ems="10"
        android:text="@string/app_description"
        android:textAlignment="center"
        android:textColor="@color/white"
        android:textSize="24sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/Sheet" />

    <Button
        android:id="@+id/ButtonNext"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="4dp"
        android:backgroundTint="@color/main"
        android:text="@string/next"
        app:cornerRadius="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />


    <Button
        android:id="@+id/ButtonSettings"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="8dp"
        android:backgroundTint="@color/main"
        android:text="@string/settings"
        app:cornerRadius="0dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/Sheet"
        app:layout_constraintTop_toBottomOf="@+id/buttonSubmit" />

    <Button
        android:id="@+id/buttonSubmit"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:layout_marginStart="8dp"
        android:layout_marginEnd="8dp"
        android:backgroundTint="@color/main"
        android:text="@string/submit_old_data"
        app:cornerRadius="0dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>